# class KSelector | KSelector is the base class for other widgets which provides the ability to choose from a one-dimensional range of values. More...
Definition | `#include <kselect.h>`
Inherits | QRangeControl (qt) [public ], QWidget (qt) [public ]
Inherited by | KGradientSelector, KValueSelector
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KSelector ( QWidget *parent=0, const char *name=0 )
- KSelector ( Orientation o, QWidget *parent = 0L, const char *name = 0L )
- ~KSelector ()
- Orientation orientation () const
- QRect contentsRect () const
- void setIndent ( bool i )
- bool indent () const

#### Signals

- void valueChanged ( int value )

#### Protected Methods

- virtual void drawContents ( QPainter * )
- virtual void drawArrow ( QPainter *painter, bool show, const QPoint &pos )

## Detailed Description

KSelector is the base class for other widgets which provides the ability to choose from a one-dimensional range of values. An example is the KGradientSelector which allows to choose from a range of colors.

A custom drawing routine for the widget surface has to be provided by the subclass.

KSelector ( QWidget *parent=0, const char *name=0 ) | ### KSelector

Constructs a horizontal one-dimensional selection widget.

KSelector ( Orientation o, QWidget *parent = 0L, const char *name = 0L ) | ### KSelector

Constructs a one-dimensional selection widget with a given orientation.

~KSelector () | ### ~KSelector

Orientation orientation () | ### orientation

[const]

Returns: the orientation of the widget.

QRect contentsRect () | ### contentsRect

[const]

Returns: the rectangle on which subclasses should draw.

void setIndent ( bool i ) | ### setIndent

Sets the indent option of the widget to i. This determines whether a shaded frame is drawn.

bool indent () | ### indent

[const]

Returns: whether the indent option is set.

void valueChanged ( int value ) | ### valueChanged

[signal]

This signal is emitted whenever the user chooses a value, e. g. by clicking with the mouse on the widget.

void drawContents ( QPainter * ) | ### drawContents

[protected virtual]

Override this function to draw the contents of the control. The default implementation doesn nothing.

Draw only within contentsRect().

void drawArrow ( QPainter *painter, bool show, const QPoint &pos ) | ### drawArrow

[protected virtual]

Override this function to draw the cursor which indicates the currently value. This function is always called twice, once with argument show=false to clear the old cursor, once with argument show=true to draw the new one.

void valueChange () | ### valueChange

[protected virtual]

Reimplemented from QRangeControl for internal purposes..

void paintEvent ( QPaintEvent * ) | ### paintEvent

[protected virtual]

Reimplemented from QWidget for internal purposes..

void mousePressEvent ( QMouseEvent *e ) | ### mousePressEvent

[protected virtual]

Reimplemented from QWidget for internal purposes..

void mouseMoveEvent ( QMouseEvent *e ) | ### mouseMoveEvent

[protected virtual]

Reimplemented from QWidget for internal purposes..

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.